#include "CapsuleShape.h"
#include "BulletCLIMath.h"

namespace BulletCLI 
{
    CapsuleShape::CapsuleShape(float radius, float height)
    {
        btScalar r(radius);
        btScalar h(height);
        this->m_p=new ::btCapsuleShape(r,h);
    }
	CapsuleShape::~CapsuleShape()
    {
        this->!CapsuleShape();
    }
	CapsuleShape::!CapsuleShape()
    {
        delete this->m_p;
    }
}